---
title: "Searches Product Pricings by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-productprices"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Product Pricings by parameters

`GET` `/productprices`

Operation ID: `get-productprices`

Searches Product Pricings by parameters

## Query parameters

- `product_id` (string, optional) - Product id or collection (comma separated) Example: 1,2,3
- `sku` (string, optional) - Supplier product SKU or collection (comma separated) Example: D124088,D124089
- `outlet_id` (string, optional) - Unique outlet id or collection (comma separated) Example: 1,2,3
- `sales_channel_id` (string, optional) - Unique sales channel id or collection (comma separated) Example: 1,2,3
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Pricings data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /productprices:
    get:
      tags:
        - productprices
      summary: Searches Product Pricings by parameters
      description: Searches Product Pricings by parameters
      operationId: get-productprices
      parameters:
        - name: product_id
          in: query
          description: "Product id or collection (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Product id or collection (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: sku
          in: query
          description: "Supplier product SKU or collection (comma separated)\r

            Example: D124088,D124089"
          schema:
            type: string
            description: "Supplier product SKU or collection (comma separated)\r

              Example: D124088,D124089"
            nullable: true
        - name: outlet_id
          in: query
          description: "Unique outlet id or collection (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Unique outlet id or collection (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: sales_channel_id
          in: query
          description: "Unique sales channel id or collection (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Unique sales channel id or collection (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Pricings data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProductPricing.PagingResponse"
              example:
                data:
                  - product_id: 0
                    outlet_id: 0
                    supplier_buy_ex: 0
                    direct_costs_ex: 0
                    cogs_ex: 0
                    sell_price_inc: 0
                    promotional_price_inc: 0
                    promotional_price_start: string
                    promotional_price_end: string
                    taxable: true
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ProductPricing.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/ProductPricing"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ProductPricing:
      title: ""
      type: object
      properties:
        product_id:
          type: integer
          description: Product Id
          format: int32
        outlet_id:
          type: integer
          description: Outlet Id
          format: int32
        supplier_buy_ex:
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct Costs (Ex Tax)
          format: double
          nullable: true
        cogs_ex:
          type: number
          description: Cost of Goods Sold (Ex Tax)
          format: double
          nullable: true
        sell_price_inc:
          type: number
          description: Sell Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_inc:
          type: number
          description: Promotional Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_start:
          type: string
          description: Promotional Price Start
          format: date-time
          nullable: true
        promotional_price_end:
          type: string
          description: Promotional Price End
          format: date-time
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
      additionalProperties: false
```
